*
* Global application constants
*
#define cAppIniSection		"MDI Template"
#define cAppTitle			"MDI Template"
#define cAppVersion			"2.0"

*
* Application directories
*
#define cDirPrograms		""
#define cDirScreens			""
#define cDirMenus			""
#define cDirBitmaps			""

*
* Application files
*
#define cAppIcon			cDirBitmaps + "MDITmplt.ICO"
#define cAppMenu			cDirMenus	+ "MainMenu.MPR"
#define cAppProcs			cDirScreens	+ "AppProcs.SPR"
#define cFoxTools			sys(2004)	+ "FoxTools.FLL"
#define cErrorLogFile		m.gUSERROOT	+   "Errors.LOG"
#define cBrowseCfgDBF		m.gUSERROOT	+ "BrowsCfg.DBF"
#define cExampleDBF			m.gAPPROOT	+  "Example.DBF"

*
* Registered window types
*
#define cWinProgram			1
#define cWinBrowse			2
#define cWinMemo			3

*
* Window message constants
*
#define cMsgGainFocus		1
#define cMsgLoseFocus		2
#define cMsgNew				3
#define cMsgOpen			4
#define cMsgClose			5
#define cMsgSave			6
#define cMsgSaveAs			7
#define cMsgSetMenu			8
#define cMsgShutDown		9

*
* Columns of registered windows array
*
#define cMaxWinParams		10
#define cRegWinCols			4

#define cRegWinName			1
#define cRegWinType			2
#define cRegWinParent		3
#define cRegWinProg			4

*
* Registered browse window field offsets
*
#define cBrwParmCols		9

#define cBrwAlias			1
#define cBrwSaveAs			2
#define cBrwAutoClose		3
#define cBrwFields			4
#define cBrwForExpr			5
#define cBrwIndexExpr		6
#define cBrwAscending		7
#define cBrwWinClauses		8
#define cBrwBrowseClauses	9

*
* Registered memo window field offsets
*
#define cMemParmCols		3

#define cMemAliasedField	1
#define cMemWinClauses		2
#define cMemMemoClauses		3

*
* Miscellaneous
*
#define TRUE				.t.
#define FALSE				.f.
#define CR					chr(13)
#define LF					chr(10)
#define cBell				chr(7)

#define cRowIncrement		1.41
#define cColIncrement		3.29

#define cBrwCfgFields		6
